Extra edge appear after intersection

hello everyone,
i used this code below to get the intersection of two faces, it works fine but for this model in the picture an extra edge appear and it doesn’t have an intersection with any face.
why does this edge appear ? the intersect_with function normally add edges to only the faces that intersect with each other.
thnx a lot.
The code:

model = Sketchup.active_model
entities = model.entities

model.entities.intersect_with(false,IDENTITY,model.entities,IDENTITY,true,model.entities.to_a)


face_intersection.skp (106.8 KB)

no extra edge when I test your file…

but it is a different file than the one you posted an image from…

john

ditto

Set View > Hidden Geometry to ON.

Also, you have the “hidden” argument true in the intersect method call.

After several pieces of advice… for some reason you still refuse to add your geometry into a new group within the active_entities context.

By intersecting with, and into, model.entities everything is included…

You can easily avoid that by keeping everything separate…

So why not limit what you are working with by using a group, you can always explode it if you have to…
BUT only after all other operations are completed.

2 Likes